/*
+-+-+-+-+-+-+-+-+-
*/
/*
**		     Electronic Radiology Laboratory
**		   Mallinckrodt Institute of Radiology
**		Washington University School of Medicine
**
** Module Name(s):
** Author, Date:	Aniruddha Gokhale, 10-May-95
** Intent:		Contains declarations that are shared by a number of
**			photoID related applications
** Last Update:		$Author: asg $, $Date: 1995/05/10 20:04:41 $
** Source File:		$RCSfile: photoID_shared_decl.h,v $
** Revision:		$Revision: 1.1 $
** Status:		$State: Exp $
*/

#ifndef _SHARED_DECL_H_
#define _SHARED_DECL_H_

#define MAXDESTINATIONS	5	/* maximum allowed destinations per image */
#define MAXGQSIZE	60	/* maximum elements allowed in photoID queue */

/* declaration of a video destination record */
typedef struct _VIDest {
    char RequestingTitle[17];	/* requesting entity */
    char RespondingTitle[17];	/* responding entity */
    char Type[7];		/* color/monochrome */
    char Node[65];		/* Machine internet address */
    int Port;			/* Port number */
}   VIDest;

/* declaration of the photoID generalized queue element */
typedef struct {
    struct {
	VIDest vid[MAXDESTINATIONS];	/* destinations to send the image to */
	CTNBOOLEAN flag[MAXDESTINATIONS];	/* indicates if the i-th
						 * image was successfully
						 * sent */
    }   dest;
    int vidCount;		/* count of number of destinations */
    char filename[256];		/* the image data to be sent */
    CTNBOOLEAN attempted;	/* whether or not an attempt was made to send */
}   GQ_ELEM;

void DumpGQElem(void *e);	/* prints a single GQ element */
#endif
